Subject: bug#38992: 27.0.60; when enabled, fido-mode seems to break vc-git-grep

From: Dmitry Gutov <[email-masked]>
Date: Thu, 5 Mar 2020 00:07:45 +0200

On 05.02.2020 20:12, João Távora wrote:

>     Not exactly. There have been several issues discussed in this report,
>     and it's really a problem that the user can't easily input something
>     that completing-read would allow.
> 
> 
> So isn't that a UI deficiency in fido-mode?  Mind you I'm calling it
> a deficiency because it can't by definition be a bug.  fido-mode is a new
> thing and I _made_ the spec for it.  Of course, I like your suggestions
> for improvement (as I have showed here).

It's a bug because it changes icomplete-mode in a way that makes 
completing-read fail its contract (which is to demand matching input 
when require-match is non-nil) in certain situations.

That, in turn, will create problems in code that calls completing-read 
and relies on it fulfilling its contract.

>      > Maybe, Dmitry, we could revert to the earlier proposal with the new
>      > variable and somehow deprecate/discourage use of the one you're
>      > trying to change?  That should be safe and bring all the benefits of
>      > your change, right?
> 
>     Yes, we can do that. I'll make the new variable private, so we can rid
>     of it quickly on master.
> 
> 
> Great!   Disregard the previous discussion if you want, just do this,
> and move on.

Yup.